MCP Tools Reference: managedkafka

Tool: delete_connector

Deletes a Google Cloud Managed Service for Apache Kafka Connect connector. Please provide the Project ID, Location, Connect Cluster ID, and Connector ID.

A DeleteConnectorRequest is used to delete a connector.

  • name (required): The name of the connector to delete. Structured like projects/{project}/locations/{location}/connectClusters/{connect_cluster_id}/connectors/{connector_id}.

The following sample demonstrate how to use curl to invoke the delete_connector MCP tool.

Curl Request
                  
curl --location 'https://managedkafka.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_connector",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request for DeleteConnector.

DeleteConnectorRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the connector to delete. Structured like: projects/{project}/locations/{location}/connectClusters/{connectCluster}/connectors/{connector}

Output Schema

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

Tool Annotations

Destructive Hint: ✅ | Idempotent Hint: ✅ | Read Only Hint: ❌ | Open World Hint: ❌